<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Show and Interpolate Two Dimensional Distribution of Residuals</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for residualssurface {BiodiversityR}"><tr><td>residualssurface {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Show and Interpolate Two Dimensional Distribution of Residuals</h2>


<h3>Description</h3>

<p>
This function interpolates the spatial structure of residuals of a GLM through <code><a href="../../mgcv/html/gam.html">gam</a></code> or <code><a href="../../spatial/html/surf.ls.html">surf.ls</a></code> and optionally provides a graph.
</p>


<h3>Usage</h3>

<pre>
residualssurface(model, data, x, y, gam = F, npol = 2, plotit = T, filled = F, bubble = F)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>model</code></td>
<td>
Result of GLM as calculated by <code><a href="../../stats/html/glm.html">glm</a></code> or <code><a href="../../MASS/html/glm.nb.html">glm.nb</a></code>. </td></tr>
<tr valign="top"><td><code>data</code></td>
<td>
Data set that contains the spatial coordinates of the sample units used for the original model (specified as "x" and "y"). </td></tr>
<tr valign="top"><td><code>x</code></td>
<td>
Horizontal position of the sample units. </td></tr>
<tr valign="top"><td><code>y</code></td>
<td>
Vertical position of the sample units. </td></tr>
<tr valign="top"><td><code>gam</code></td>
<td>
Interpolate the spatial structure by <code><a href="../../mgcv/html/gam.html">gam</a></code> (if "TRUE") or by <code><a href="../../spatial/html/surf.ls.html">surf.ls</a></code> (if "FALSE"). </td></tr>
<tr valign="top"><td><code>npol</code></td>
<td>
Degree of polynomial surface as passed to <code><a href="../../spatial/html/surf.ls.html">surf.ls</a></code>. </td></tr>
<tr valign="top"><td><code>plotit</code></td>
<td>
Plot the interpolated surface (through <code><a href="../../akima/html/interp.html">interp</a></code> and the residuals) . </td></tr>
<tr valign="top"><td><code>filled</code></td>
<td>
Fill the contours by <code><a href="../../graphics/html/filled.contour.html">filled.contour</a></code>. </td></tr>
<tr valign="top"><td><code>bubble</code></td>
<td>
Provide a bubble graph of the residuals: circles indicate positive residuals, whereas squares indicate negative residuals. </td></tr>
</table>

<h3>Details</h3>

<p>
The function reports the results of a GAM or least-squares trend surface analysis of the spatial distribution of residuals of a model (through <code><a href="../../stats/html/residuals.html">residuals</a></code>). 
</p>
<p>
Optionally, a graph is produced that can contain the trend surface, filled contours and bubble graphs in addition to the spatial location of the sample units.
</p>


<h3>Value</h3>

<p>
The function reports the results of a GAM or least-squares trend surface analysis of the spatial distribution of residuals. Optionally, a graph is provided.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
library(mgcv)
library(akima)
data(faramea)
Count.model1 &lt;- lm(Faramea.occidentalis ~ Precipitation,
    data=faramea, na.action=na.exclude)
surface.1 &lt;- residualssurface(Count.model1, na.omit(faramea),
    'UTM.EW', 'UTM.NS', gam=TRUE, plotit=TRUE, bubble=TRUE)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
